Index: cards/CLICdet/CLICdet_TauTagging.tcl
===================================================================
--- cards/CLICdet/CLICdet_TauTagging.tcl	(revision 94cd7bbd7763f88f810ec520268570e397569786)
+++ cards/CLICdet/CLICdet_TauTagging.tcl	(revision 94cd7bbd7763f88f810ec520268570e397569786)
@@ -0,0 +1,504 @@
+module TauTagging TauTagging_R05N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_N2/VLCjetsR05N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+    # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+    # default efficiency formula (misidentification rate)
+    add EfficiencyFormula {0} {0.03}
+    # efficiency formula for tau-jets
+    
+    add EfficiencyFormula {15} { 
+	(pt < 2) * (0.0) +
+	(pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+    } 
+} 
+
+module TauTagging TauTagging_R05N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_N3/VLCjetsR05N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R05N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_N4/VLCjetsR05N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R05N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_N5/VLCjetsR05N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R05N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_N6/VLCjetsR05N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R07N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_N2/VLCjetsR07N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R07N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_N3/VLCjetsR07N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R07N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_N4/VLCjetsR07N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R07N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_N5/VLCjetsR07N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R07N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_N6/VLCjetsR07N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R10N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_N2/VLCjetsR10N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R10N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_N3/VLCjetsR10N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R10N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_N4/VLCjetsR10N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R10N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_N5/VLCjetsR10N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R10N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_N6/VLCjetsR10N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R12N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_N2/VLCjetsR12N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R12N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_N3/VLCjetsR12N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R12N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_N4/VLCjetsR12N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R12N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_N5/VLCjetsR12N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R12N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_N6/VLCjetsR12N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R15N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_N2/VLCjetsR15N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R15N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_N3/VLCjetsR15N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R15N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_N4/VLCjetsR15N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R15N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_N5/VLCjetsR15N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_R15N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_N6/VLCjetsR15N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 2) * (0.0) +
+ (pt >=2 && pt < 5) * (0.84) +
+	(pt >=5 && pt < 10) * (0.79) +
+	(pt >=10 && pt < 20) * (0.74) +
+	(pt >=20 && pt < 30) * (0.66) +
+	(pt >=30 && pt < 50) * (0.61) +
+	(pt >=50 && pt < 100) * (0.51) +
+	(pt >=100 ) * (0.36)
+ } 
+ } 
+
Index: cards/delphes_card_CLICdet.tcl
===================================================================
--- cards/delphes_card_CLICdet.tcl	(revision dbaefa982cf9e2a4100cb3c48412c734d0081290)
+++ cards/delphes_card_CLICdet.tcl	(revision 94cd7bbd7763f88f810ec520268570e397569786)
@@ -654,9 +654,13 @@
     # set EfficiencyFormula {efficiency formula as a function of eta and pt}
     set EfficiencyFormula {
-	(energy < 5.0 ) * (0.000) +
-	(energy >= 5.0) * (abs( eta)<0.7 )*(  0.89)+
-	(energy >= 5.0) * (abs(eta) > 0.7 && abs(eta) < 3)*( 0.8)}
-
-   
+	(energy < 5.0 )                                           * (0.00) +
+	(energy >= 5.0) * ( abs(eta) > 1.95 )                     * (0.6 ) +
+	(energy >= 5.0) * ( abs(eta) <= 1.95 && abs(eta) > 1.22 ) * (0.77) +
+	(energy >= 5.0) * ( abs(eta) <= 1.22 && abs(eta) > 1.1  ) * (0.67) + 
+	(energy >= 5.0) * ( abs(eta) <= 1.1 && abs(eta) > 1.0   ) * (0.76) +
+	(energy >= 5.0) * ( abs(eta) <= 1.0 && abs(eta) > 0.66  ) * (0.8 ) +
+	(energy >= 5.0) * ( abs(eta) <= 0.66 && abs(eta) >0.4   ) * (0.86) +
+	(energy >= 5.0) * ( abs(eta) <= 0.4)                      * (0.89)
+    }
 }
 
@@ -691,6 +695,10 @@
     # current full simulation of CLICdet yields:
     set EfficiencyFormula {
-	(energy < 2.0 ) * (0.000) +
-	(energy  < 50 && energy >=2.0 )*(0.98) + (energy>=50) *(0.999)}
+	(energy < 2.0 )                                                        * (0.00) +
+	(energy  < 50 && energy >=2.0 ) * ( abs(eta) > 1.95 )                  * (0.73) + 
+	(energy  < 50 && energy >=2.0 ) * (abs(eta) <= 1.95 && abs(eta) > 0.2) * (0.98) + 
+	(energy  < 50 && energy >=2.0 ) * (abs(eta) <= 0.2)                    * (0.87) + 
+	(energy>=50)                                                           * (0.999)
+    }
 }
 
@@ -848,24 +856,8 @@
 # tau-tagging
 #############
-
-
-module TauTagging TauTagging_R05N2 {
-    set ParticleInputArray Delphes/allParticles
-    set PartonInputArray Delphes/partons
-    set JetInputArray FastJetFinderVLC_R05_N2/VLCjetsR05N2
-
-    set DeltaR 0.5
-
-    set TauPTMin 1.0
-
-    set TauEtaMax 4.0
-
-    # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
-    # not from CLICdet
-    # default efficiency formula (misidentification rate)
-    add EfficiencyFormula {0} {0.001}
-    # efficiency formula for tau-jets
-    add EfficiencyFormula {15} {0.4}
-}
+# based on LCD-2010-009
+
+source CLICdet/CLICdet_TauTagging.tcl
+
 
 