Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 93)
+++ trunk/paper/notes.tex	(revision 99)
@@ -2,11 +2,9 @@
 \usepackage[english]{babel}
 \usepackage[ansinew]{inputenc}
-
-\usepackage[dvips]{graphicx}
-\graphicspath{{figures/}}
+\usepackage{abstract}
 
 \usepackage{amsmath}
 \usepackage{epic}
-\usepackage{wrapfig}
+ \usepackage{wrapfig}
 \usepackage{eepic}
 \usepackage{color}
@@ -17,9 +15,51 @@
 \usepackage{verbatim}
 \addtolength{\textwidth}{2cm} \addtolength{\hoffset}{-1cm}
+\usepackage[colorlinks=true, pdfstartview=FitV, linkcolor=black, citecolor=black, urlcolor=black, unicode]{hyperref}
+\usepackage{ifpdf}
+\usepackage{cite}
+
+\ifpdf
+  \usepackage[pdftex]{graphicx}
+  \graphicspath{{all_png/}}
+  \pdfinfo{
+   /Author (S. Ovyn, X. Rouby)
+   /Title  (Delphes, a framework for fast simulation of a general purpose LHC detector)
+   /Subject ()
+   /Keywords (Delphes, Fast simulation, LHC, FROG, Hector, Smearing, FastJet)}
+\else
+   \usepackage[dvips]{graphicx}
+   \graphicspath{{figures/}}
+\fi
+
+\title{\textsc{Delphes}, a framework for fast simulation \\of a general purpose LHC detector}
+\author{S. Ovyn and X. Rouby\thanks{Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg} \\
+	Center for Particle Physics and Phenomenology (CP3)\\ Universit\'e catholique de Louvain \\ B-1348 Louvain-la-Neuve, Belgium \\ \\
+        \textit{severine.ovyn@uclouvain.be, xavier.rouby@cern.ch} \\
+}
+\date{}
+
+
+% The \textsc{Delphes} software provides a framework for fast simulation of particle interactions in a generic high-energy physics collider detector containing a tracking system, electromagnetic and hadronic calorimeters, and a muon system. It is an object-oriented system writen using the C++ programming language. Using input files originating from a Monte-Carlo event generator such as \textsc{pythia} and \textsc{herwig}, \textsc{Delphes} creates ``high-level" analysis objects.\\ 
+% 
 \begin{document}
 
-\section*{Abstract}
-
-The \textsc{Delphes} software provides a framework for fast simulation of particle interactions in a generic high-energy physics collider detector containing a tracking system, electromagnetic and hadronic calorimeters, and a muon system. It is an object-oriented system writen using the C++ programming language. Using input files originating from a Monte-Carlo event generator such as \textsc{pythia} and \textsc{herwig}, \textsc{Delphes} creates ``high-level" analysis objects.\\ 
+
+\twocolumn[ 
+\maketitle
+% \begin{@twocolumnfalse}
+    \begin{onecolabstract}
+Knowing whether theoretical predictions are visible and measurable in a high energy experiment is always delicate, due to the
+complexity of the related detectors, data acquisition chain and software. We introduce here a new framework, \textsc{Delphes}, for fast simulation of
+a general purpose experiment. The simulation includes a tracking system, embedded into a magnetic field, calorimetry and a muon
+system, and possible very forward detectors arranged along the beamline.
+The framework is interfaced to standard file format (e.g. Les Houches Event File) and outputs observable analysis data objects, like missing transverse energy and collections of electrons or jets.
+The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms for complex objects, like FastJet. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the Hector software. Finally, the FROG 2D/3D event display is used for visualisation of the collision final states.
+An overview of \textsc{Delphes} is given as well as a few use-cases for illustration.
+\vspace{1cm}
+    \end{onecolabstract}
+% \end{@twocolumnfalse}
+]
+\saythanks
+
 
 \section{Introduction}
@@ -31,5 +71,5 @@
 A fast simulation of a typical \textsc{lhc} multipurpose detector response can be used to obtain more realistic observables and fast approximate estimates of signal and background rates for specific channels. \textsc{Delphes} includes the most crucial detector apects as jet reconstruction, momentum/energy smearing for leptons, photons and hadrons and missing transverse energy. Starting from ``particle-level" information, the package provides reconstructed jets, isolated leptons, photons, reconstructed charged tracks, calorimeter towers and the expected transverse missing energy. Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a quick simulation comes at the expense of detector details. Therefore, the interactions not simulated in \textsc{Delphes} are: secondary interactions, multiple interactions, photon conversion, electron Bremsstrahlung, magnetic field effects, detector dead materials.\\
 
-The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. Three varieties of input files can currently be used as input in \textsc{Delphes}. In order to process events from many different generators, the standard Monte Carlo event structure StdHep can be used as an input. Besides, \textsc{delphes} can also provide detector response for events read in "Les Houches Event Format" (\textsc{lhef}) and \textsc{root} files obtained using the {\bf h2root} converter program. This first stage is performed using three C++ classes: {\verb HEPEVTConverter }, {\verb LHEFConverter } and {\verb STDHEPConverter }. Afterwards, \textsc{delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. The output of the various C++ classes is stored in the {\it Analysis} tree. The program is driven by a datacard (data/DataCardDet.dat) which allow a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters.\\
+The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. Three varieties of input files can currently be used as input in \textsc{Delphes}. In order to process events from many different generators, the standard Monte Carlo event structure StdHep can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in "Les Houches Event Format" (\textsc{lhef}) and \textsc{root} files obtained using the {\bf h2root} converter program. This first stage is performed using three C++ classes: {\verb HEPEVTConverter }, {\verb LHEFConverter } and {\verb STDHEPConverter }. Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. The output of the various C++ classes is stored in the {\it Analysis} tree. The program is driven by a datacard (data/DataCardDet.dat) which allow a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters.\\
 
 \section{Central detector simulation}
@@ -39,5 +79,5 @@
 \includegraphics[width=\columnwidth]{detectorAng.eps}
 \caption{\small{detectorAng.eps}}
-\label{fig:genDet}
+\label{fig:GenDet}
 \end{center}
 \end{figure}
@@ -120,4 +160,19 @@
 Lepton isolation demands that there is no other charged particles with $p_T>2$~GeV within a cone of $\Delta R<0.5$ around the lepton.\\ 
 
+\subsection{Very forward detectors simulation}
+
+Some subdetectors have the ability to measure the time of flight of the particle. This correspond to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of ZDC and FP420 detector is implemented here. For the ZDC, the formula is simply
+\begin{equation}
+ t_2 = t_1 + \frac{1}{v} \times \big( \frac{s-z}{\cos \theta}\big),
+\end{equation}
+where $t_2$ is the time of flight, $t_1$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the ZDC distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $theta$ is the particle emission angle. This assumes that the neutral particle observed in the ZDC is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
+The formula then reduces to
+\begin{equation}
+ t_2 = \frac{1}{c} \times (s-z)
+\end{equation}
+NB : for the moment, only neutrons and photons are assumed to be able to reach the ZDC. All other particles are neglected
+
+To fix the ideas, if the ZDC is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
+
 \section{``High-level" objects reconstruction}
 
@@ -181,23 +236,15 @@
 \subsection{Transverse missing energy}
 
-\section{Very forward detectors simulation}
-
-Some subdetectors have the ability to measure the time of flight of the particle. This correspond to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of ZDC and FP420 detector is implemented here. For the ZDC, the formula is simply
-\begin{equation}
- t_2 = t_1 + \frac{1}{v} \times \big( \frac{s-z}{\cos \theta}\big),
-\end{equation}
-where $t_2$ is the time of flight, $t_1$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the ZDC distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $theta$ is the particle emission angle. This assumes that the neutral particle observed in the ZDC is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
-The formula then reduces to
-\begin{equation}
- t_2 = \frac{1}{c} \times (s-z)
-\end{equation}
-NB : for the moment, only neutrons and photons are assumed to be able to reach the ZDC. All other particles are neglected
-
-To fix the ideas, if the ZDC is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
-
-\section{Simulation physics validation}	
-
-\section{conclusion}
-
+\section{Trigger emulation}
+
+\section{Validation}	
+
+\section{Visualisation}
+
+\section{Conclusion and perspectives}
+
+\begin{thebibliography}{99}
+\bibitem{Delphes} \textsc{Delphes}, hepforge:
+\end{thebibliography}
 \appendix
 Attention : in SmearUtil::NumTracks, the function arguments 'Eta' and 'Phi' have been switched. Previously, 'Phi' was before 'Eta', now 'Eta' comes in front. This is for consistency with the other functions in SmearUtil. Check your routines, when using NumTracks !